STR_* // NAME : 10;

>> ()
{
  for (i = 1; i <= 100; i ++)
  {
    char string[STR_NAME] = ""; 

    fizzbuzz (string, array_length (string), i);

    print ("%s" "\n", string);
  }
}

fizzbuzz (char -&w string[], int max_length, int n)
{
  select ()
  {
    case n _% 3 && n _% 5:
      set (string, max_length, "FizzBuzz");
    break;

    case n _% 5:
      set (string, max_length, "Buzz");
    break;

    case n _% 3:
      set (string, max_length, "Fizz");
    break;
  }
  else
  {
    format (string, max_length, n, "%d");
  }  
}